blob: 0e85e81f59b109256dd3637542608a9d6446e2fb [file] [log] [blame]
<?xml version="1.0" encoding="UTF-8"?>
<!--
- Copyright (c) 2018 SAP SE and others.
- All rights reserved. This program and the accompanying materials
- are made available under the terms of the Eclipse Public License v1.0
- which accompanies this distribution, and is available at
- http://www.eclipse.org/legal/epl-v10.html
-
- Contributors:
- SAP SE - initial API and implementation
-->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
<groupId>org.eclipse.tycho</groupId>
<artifactId>tycho-surefire</artifactId>
<version>1.5.0</version>
</parent>
<artifactId>org.eclipse.tycho.surefire.junit5</artifactId>
<packaging>jar</packaging>
<name>Tycho Surefire OSGi JUnit 5 Runner</name>
<properties>
<!-- NOTE: when updating JUnit version(s), double-check Import-Package statements generated by bnd-maven-plugin and possibly adapt instructions in bnd.bnd -->
<junit-platform-version>1.0.3</junit-platform-version>
<junit-jupiter-version>5.0.3</junit-jupiter-version>
</properties>
<build>
<plugins>
<plugin>
<groupId>biz.aQute.bnd</groupId>
<artifactId>bnd-maven-plugin</artifactId>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-dependency-plugin</artifactId>
<configuration>
<excludes>META-INF/**</excludes>
<artifactItems>
<artifactItem>
<groupId>org.apache.maven.surefire</groupId>
<artifactId>surefire-junit-platform</artifactId>
<version>${surefire-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.junit.platform</groupId>
<artifactId>junit-platform-launcher</artifactId>
<version>${junit-platform-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.junit.platform</groupId>
<artifactId>junit-platform-engine</artifactId>
<version>${junit-platform-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.junit.platform</groupId>
<artifactId>junit-platform-commons</artifactId>
<version>${junit-platform-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.junit.jupiter</groupId>
<artifactId>junit-jupiter-engine</artifactId>
<version>${junit-jupiter-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.apache.maven.surefire</groupId>
<artifactId>common-java5</artifactId>
<version>${surefire-version}</version>
</artifactItem>
<artifactItem>
<groupId>org.junit.vintage</groupId>
<artifactId>junit-vintage-engine</artifactId>
<version>4.12.3</version>
</artifactItem>
<artifactItem>
<groupId>org.opentest4j</groupId>
<artifactId>opentest4j</artifactId>
<version>1.0.0</version>
</artifactItem>
<artifactItem>
<groupId>org.apiguardian</groupId>
<artifactId>apiguardian-api</artifactId>
<version>1.0.0</version>
</artifactItem>
</artifactItems>
</configuration>
</plugin>
</plugins>
</build>
</project>